Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.extensions.url
Interface ContentUrlGenerationFilterFactory

    public interface ContentUrlGenerationFilterFactory

This interface can be implemented by a filter factory to serve references to a `ContentUrlGenerationFilter`.

The order of the filter elements executed is determined by calling the `getFilterChainWeight()` method. The lower the weight the earlier the filter will be inserted into the chain.

Each content URL generation filter factory is instantiated as a singleton, so the implementor must make sure that the `getFilter(RenderRequest, RenderResponse)` method is thread-safe.

Since:
  8.0
Note:

  This interface is designed to be implemented by clients.

Method Summary
`ContentUrlGenerationFilter` | `getFilter(RenderRequest portletRequest, RenderResponse portletResponse)` Get a reference to a content URL generation filter.
`int` | `getFilterChainWeight()` This method is called when constructing the filter chain.

Method Detail

### getFilter

    ContentUrlGenerationFilter getFilter(RenderRequest portletRequest,
                                         RenderResponse portletResponse)
                                         throws ContentUrlFilterInstantiationException

  Get a reference to a content URL generation filter. The method is called once per portlet render request,

  Parameters:
    `portletRequest` - The render request
    `portletResponse` - The render response
  Returns:
    A reference to the content URL generation filter. A `null` return value removes the filter for this request.
  Throws:
    `ContentUrlFilterInstantiationException`

### getFilterChainWeight

    int getFilterChainWeight()

  This method is called when constructing the filter chain.

  This method must return a positive integer. A value of zero disables the filter factory

  Returns:
    a number greater than 0, indicating the weight of this filter in the chain or zero if the filter is disabled

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD